
#include "typeinfo.hpp"

#include "module.h"

namespace ps
{
	int getVariableType(TypeClass typeclass)
	{
		switch (typeclass)
		{
			case ETC_Integer:
				return VAR_TYPE_INT;
			case ETC_Float:
				return VAR_TYPE_FLOAT;
			case ETC_UserPtr:
				return VAR_TYPE_USERPTR;
			case ETC_Struct:
				return VAR_TYPE_STRUCT;
			default:
				return VAR_TYPE_UNKNOWN;
		}
	}
	TypeClass getTypeClass(int vartype)
	{
		switch (vartype)
		{
			case VAR_TYPE_INT:
				return ETC_Integer;
			case VAR_TYPE_FLOAT:
				return ETC_Float;
			case VAR_TYPE_USERPTR:
				return ETC_UserPtr;
			case VAR_TYPE_STRUCT:
				return ETC_Struct;
			default:
				return ETC_None;
		}
	}
}
